WPSCellFormat Class Reference documentation

Classes | Public Types | Public Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
WPSCellFormat Class Reference

a structure used to defined the cell format More...

`#include <WPSCell.h>`

Inheritance diagram for WPSCellFormat:

## Classes
struct | CompareFormat
| a comparaison structure used to store data More...

## Public Types
enum | HorizontalAlignment { HALIGN_LEFT , HALIGN_RIGHT , HALIGN_CENTER , HALIGN_FULL , HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP , VALIGN_CENTER , VALIGN_BOTTOM , VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | Wrapping { WRAP_WRAP , WRAP_NO_WRAP , WRAP_DEFAULT }
| the wrapping More...
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_UNKNOWN }
| the different types of cell's field More...

## Public Member Functions
| WPSCellFormat ()
| constructor
| WPSCellFormat (WPSCellFormat const &)=default
WPSCellFormat & | operator= (WPSCellFormat const &)=default
virtual | ~WPSCellFormat ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style
WPSFont const & | getFont () const
| returns the font
void | setFont (WPSFont const &font)
| sets the font
HorizontalAlignment | hAlignment () const
| returns the horizontal alignement
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignement
VerticalAlignment | vAlignment () const
| returns the vertical alignement
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignement
Wrapping | wrapping () const
| returns the wrapping
void | setWrapping (Wrapping align)
| sets the wrapping
int | getTextRotation () const
| returns the text rotation angle
void | setTextRotation (int rotation)
| sets the text rotation angle
FormatType | getFormat () const
| returns the format type
int | getSubFormat () const
| returns the subformat type
std::string | getDTFormat () const
| returns the date/time format ( if set)
void | setFormat (FormatType form, int subForm=0)
| sets the format type
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type
int | digits () const
| returns the number of digits ( for a number)
void | setDigits (int newDigit)
| set the number of digits ( for a number)
bool | isProtected () const
| returns true if the cell is protected
void | setProtected (bool fl)
| returns true if the cell is protected
bool | hasBorders () const
| return true if the cell has some border
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders
WPSColor | backgroundColor () const
| returns the background color
void | setBackgroundColor (WPSColor const &color)
| set the background color
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function

## Static Protected Member Functions
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList

## Protected Attributes
WPSFont | m_font
| the cell font ( used in spreadsheet code )
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing
Wrapping | m_wrapping
| the wrapping : by default nothing
int | m_rotation
| the text rotation
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos
FormatType | m_format
| the cell format : by default unknown
int | m_subFormat
| the sub format
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format )
int | m_digits
| the number of digits
bool | m_protected
| cell protected
WPSColor | m_backgroundColor
| the backgroung color

## Friends
std::ostream & | operator<< (std::ostream &o, WPSCellFormat const &cell)
| operator<<

## Detailed Description

a structure used to defined the cell format

## Member Enumeration Documentation

## ◆ FormatType

enum WPSCellFormat::FormatType

the different types of cell's field

Enumerator
F_TEXT |
F_BOOLEAN |
F_NUMBER |
F_DATE |
F_TIME |
F_UNKNOWN |

## ◆ HorizontalAlignment

enum WPSCellFormat::HorizontalAlignment

the default horizontal alignement.

Note
  actually mainly used for table/spreadsheet cell, FULL is not yet implemented

Enumerator
HALIGN_LEFT |
HALIGN_RIGHT |
HALIGN_CENTER |
HALIGN_FULL |
HALIGN_DEFAULT |

## ◆ VerticalAlignment

enum WPSCellFormat::VerticalAlignment

the default vertical alignement.

Enumerator
VALIGN_TOP |
VALIGN_CENTER |
VALIGN_BOTTOM |
VALIGN_DEFAULT |

## ◆ Wrapping

enum WPSCellFormat::Wrapping

the wrapping

Enumerator
WRAP_WRAP |
WRAP_NO_WRAP |
WRAP_DEFAULT |

## Constructor & Destructor Documentation

## ◆ WPSCellFormat() [1/2]

WPSCellFormat::WPSCellFormat | ( |  | ) |
| inline

constructor

## ◆ WPSCellFormat() [2/2]

WPSCellFormat::WPSCellFormat | ( | WPSCellFormat const & |  | ) |
| default

## ◆ ~WPSCellFormat()

WPSCellFormat::~WPSCellFormat | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addTo()

void WPSCellFormat::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by WPSCell::addTo().

## ◆ backgroundColor()

WPSColor WPSCellFormat::backgroundColor | ( |  | ) | const
| inline

returns the background color

Referenced by addTo(), and QuattroDosSpreadsheet::readCell().

## ◆ borders()

std::vector< WPSBorder > const & WPSCellFormat::borders | ( |  | ) | const
| inline

return the cell border: libwps::LeftBit | ...

Referenced by QuattroDosSpreadsheet::readCell().

## ◆ compare()

int WPSCellFormat::compare | ( | WPSCellFormat const & | cell,
|  | bool | onlyNumbering = false ) const

a comparison function

Referenced by WPSCellFormat::CompareFormat::operator()(), LotusSpreadsheetInternal::Format123Style::operator==(), LotusSpreadsheetInternal::Style::operator==(), Quattro9SpreadsheetInternal::Style::operator==(), QuattroDosSpreadsheetInternal::Style::operator==(), QuattroSpreadsheetInternal::Style::operator==(), and WKS4SpreadsheetInternal::Style::operator==().

## ◆ convertDTFormat()

bool WPSCellFormat::convertDTFormat | ( | std::string const & | dtFormat,
|  | librevenge::RVNGPropertyListVector & | propListVector )
| staticprotected

convert a DTFormat in a propertyList

Referenced by getNumberingProperties().

## ◆ digits()

int WPSCellFormat::digits | ( |  | ) | const
| inline

returns the number of digits ( for a number)

Referenced by LotusSpreadsheetInternal::Format123Style::update().

## ◆ getDTFormat()

std::string WPSCellFormat::getDTFormat | ( |  | ) | const
| inline

returns the date/time format ( if set)

Referenced by LotusSpreadsheetInternal::Format123Style::update().

## ◆ getFont()

WPSFont const & WPSCellFormat::getFont | ( |  | ) | const
| inline

returns the font

Referenced by WKSContentListener::openSheetCell(), QuattroDosSpreadsheet::readCell(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), QuattroDosSpreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), LotusSpreadsheet::sendText(), LotusSpreadsheetInternal::ExtraStyle::update(), and Quattro9SpreadsheetInternal::Cell::updateFormat().

## ◆ getFormat()

FormatType WPSCellFormat::getFormat | ( |  | ) | const
| inline

returns the format type

Referenced by WKSContentListener::openSheetCell(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksStyle(), and LotusSpreadsheetInternal::Format123Style::update().

## ◆ getNumberingProperties()

bool WPSCellFormat::getNumberingProperties | ( | librevenge::RVNGPropertyList & | propList | ) | const

get the number style

Referenced by WKSContentListener::openSheetCell().

## ◆ getSubFormat()

int WPSCellFormat::getSubFormat | ( |  | ) | const
| inline

returns the subformat type

Referenced by WKS4Spreadsheet::readMsWorksDOSCellProperty(), and LotusSpreadsheetInternal::Format123Style::update().

## ◆ getTextRotation()

int WPSCellFormat::getTextRotation | ( |  | ) | const
| inline

returns the text rotation angle

## ◆ getValueType()

std::string WPSCellFormat::getValueType | ( |  | ) | const

returns a value type

Referenced by WKSContentListener::openSheetCell().

## ◆ hAlignment()

HorizontalAlignment WPSCellFormat::hAlignment | ( |  | ) | const
| inline

returns the horizontal alignement

## ◆ hasBasicFormat()

bool WPSCellFormat::hasBasicFormat | ( |  | ) | const
| inline

returns true if this is a basic format style

Referenced by WKSContentListener::openSheetCell().

## ◆ hasBorders()

bool WPSCellFormat::hasBorders | ( |  | ) | const
| inline

return true if the cell has some border

Referenced by QuattroDosSpreadsheet::readCell().

## ◆ isProtected()

bool WPSCellFormat::isProtected | ( |  | ) | const
| inline

returns true if the cell is protected

## ◆ operator=()

WPSCellFormat & WPSCellFormat::operator= | ( | WPSCellFormat const & |  | ) |
| default

## ◆ resetBorders()

void WPSCellFormat::resetBorders | ( |  | ) |
| inline

reset the border

## ◆ setBackgroundColor()

void WPSCellFormat::setBackgroundColor | ( | WPSColor const & | color | ) |
| inline

set the background color

Referenced by QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), WKS4Spreadsheet::readMsWorksStyle(), QuattroDosSpreadsheet::readUserStyle(), LotusSpreadsheetInternal::ExtraStyle::update(), and LotusStyleManager::updateCellStyle().

## ◆ setBorders() [1/2]

void WPSCellFormat::setBorders | ( | int | wh,
|  | WPSBorder const & | border )

sets the cell border: wh=WPSBorder::LeftBit|...

Referenced by QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), WKS4Spreadsheet::readMsWorksStyle(), QuattroDosSpreadsheet::readUserStyle(), LotusSpreadsheetInternal::Extra123Style::update(), LotusSpreadsheetInternal::ExtraStyle::update(), and LotusStyleManager::updateCellStyle().

## ◆ setBorders() [2/2]

void WPSCellFormat::setBorders | ( | std::vector< WPSBorder > const & | newBorders | ) |
| inline

sets the cell borders

## ◆ setDigits()

void WPSCellFormat::setDigits | ( | int | newDigit | ) |
| inline

set the number of digits ( for a number)

Referenced by WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCellsFormat801(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksStyle(), LotusSpreadsheet::readRowFormat(), libwps::MultiplanParser::sendCell(), QuattroSpreadsheet::updateCellWithUserFormat(), Quattro9SpreadsheetInternal::Cell::updateFormat(), QuattroDosSpreadsheetInternal::Cell::updateFormat(), and QuattroSpreadsheetInternal::Cell::updateFormat().

## ◆ setDTFormat()

void WPSCellFormat::setDTFormat | ( | FormatType | form,
|  | std::string const & | dtFormat = "" )
| inline

sets the format type

Referenced by WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCellsFormat801(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksStyle(), LotusSpreadsheet::readRowFormat(), libwps::MultiplanParser::sendCell(), LotusSpreadsheetInternal::Format123Style::update(), QuattroSpreadsheet::updateCellWithUserFormat(), Quattro9SpreadsheetInternal::Cell::updateFormat(), QuattroDosSpreadsheetInternal::Cell::updateFormat(), and QuattroSpreadsheetInternal::Cell::updateFormat().

## ◆ setFont()

void WPSCellFormat::setFont | ( | WPSFont const & | font | ) |
| inline

sets the font

Referenced by QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), LotusSpreadsheet::readRowFormat(), QuattroDosSpreadsheet::readUserStyle(), libwps::MultiplanParser::sendCell(), Quattro9Spreadsheet::sendCellContent(), LotusSpreadsheet::sendRowContent(), LotusSpreadsheetInternal::ExtraStyle::update(), LotusStyleManager::updateCellStyle(), and Quattro9SpreadsheetInternal::Cell::updateFormat().

## ◆ setFormat()

void WPSCellFormat::setFormat | ( | FormatType | form,
|  | int | subForm = 0 )
| inline

sets the format type

Referenced by WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCellsFormat801(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksStyle(), LotusSpreadsheet::readRowFormat(), libwps::MultiplanParser::sendCell(), QuattroSpreadsheet::updateCellWithUserFormat(), Quattro9SpreadsheetInternal::Cell::updateFormat(), QuattroDosSpreadsheetInternal::Cell::updateFormat(), and QuattroSpreadsheetInternal::Cell::updateFormat().

## ◆ setHAlignment()

void WPSCellFormat::setHAlignment | ( | HorizontalAlignment | align | ) |
| inline

sets the horizontal alignement

Referenced by QuattroSpreadsheet::readCellStyle(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksStyle(), LotusSpreadsheet::readRowFormat(), QuattroDosSpreadsheet::readUserStyle(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), and LotusStyleManager::updateCellStyle().

## ◆ setProtected()

void WPSCellFormat::setProtected | ( | bool | fl | ) |
| inline

returns true if the cell is protected

Referenced by libwps::MultiplanParser::sendCell().

## ◆ setTextRotation()

void WPSCellFormat::setTextRotation | ( | int | rotation | ) |
| inline

sets the text rotation angle

Referenced by QuattroSpreadsheet::readCellStyle(), and LotusStyleManager::updateCellStyle().

## ◆ setVAlignment()

void WPSCellFormat::setVAlignment | ( | VerticalAlignment | align | ) |
| inline

sets the vertical alignement

Referenced by QuattroSpreadsheet::readCellStyle(), WKS4Spreadsheet::readMsWorksStyle(), and LotusStyleManager::updateCellStyle().

## ◆ setWrapping()

void WPSCellFormat::setWrapping | ( | Wrapping | align | ) |
| inline

sets the wrapping

Referenced by QuattroSpreadsheet::readCellStyle(), and LotusStyleManager::updateCellStyle().

## ◆ vAlignment()

VerticalAlignment WPSCellFormat::vAlignment | ( |  | ) | const
| inline

returns the vertical alignement

Referenced by addTo().

## ◆ wrapping()

Wrapping WPSCellFormat::wrapping | ( |  | ) | const
| inline

returns the wrapping

Referenced by addTo().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSCellFormat const & | cell )
| friend

operator<<

## Member Data Documentation

## ◆ m_backgroundColor

WPSColor WPSCellFormat::m_backgroundColor
| protected

the backgroung color

Referenced by backgroundColor(), compare(), and setBackgroundColor().

## ◆ m_bordersList

std::vector<WPSBorder> WPSCellFormat::m_bordersList
| protected

the cell border WPSBorder::Pos

Referenced by addTo(), borders(), WPS8TableInternal::Cell::Cell(), compare(), hasBorders(), resetBorders(), setBorders(), and setBorders().

## ◆ m_digits

int WPSCellFormat::m_digits
| protected

the number of digits

Referenced by compare(), digits(), getNumberingProperties(), WKS4SpreadsheetInternal::Style::operator==(), and setDigits().

## ◆ m_DTFormat

std::string WPSCellFormat::m_DTFormat
| protected

a date/time format ( using a subset of strftime format )

Referenced by compare(), getDTFormat(), getNumberingProperties(), and setDTFormat().

## ◆ m_font

WPSFont WPSCellFormat::m_font
| protected

the cell font ( used in spreadsheet code )

Referenced by getFont(), setFont(), LotusSpreadsheetInternal::Style::Style(), QuattroDosSpreadsheetInternal::Cell::updateFormat(), and QuattroSpreadsheetInternal::Cell::updateFormat().

## ◆ m_format

FormatType WPSCellFormat::m_format
| protected

the cell format : by default unknown

Referenced by compare(), getFormat(), getNumberingProperties(), getValueType(), hasBasicFormat(), WKS4SpreadsheetInternal::Style::operator==(), setDTFormat(), and setFormat().

## ◆ m_hAlign

HorizontalAlignment WPSCellFormat::m_hAlign
| protected

the cell alignement : by default nothing

Referenced by addTo(), compare(), hAlignment(), and setHAlignment().

## ◆ m_protected

bool WPSCellFormat::m_protected
| protected

cell protected

Referenced by addTo(), compare(), isProtected(), WKS4SpreadsheetInternal::Style::operator==(), and setProtected().

## ◆ m_rotation

int WPSCellFormat::m_rotation
| protected

the text rotation

Referenced by addTo(), compare(), getTextRotation(), and setTextRotation().

## ◆ m_subFormat

int WPSCellFormat::m_subFormat
| protected

the sub format

Referenced by compare(), getNumberingProperties(), getSubFormat(), getValueType(), WKS4SpreadsheetInternal::Style::operator==(), setDTFormat(), and setFormat().

## ◆ m_vAlign

VerticalAlignment WPSCellFormat::m_vAlign
| protected

the cell vertical alignement : by default nothing

Referenced by compare(), setVAlignment(), and vAlignment().

## ◆ m_wrapping

Wrapping WPSCellFormat::m_wrapping
| protected

the wrapping : by default nothing

Referenced by compare(), setWrapping(), and wrapping().

The documentation for this class was generated from the following files:

- WPSCell.h
- WPSCell.cpp